Package: org.apache.groovy.metaclass

## [Java] Class Realm

- org.apache.groovy.metaclass.Realm

- A Realm is the representation of a metaclass layer in a tree of realm objects.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<T>` | `MetaClass<T>` | `getMetaClass(Class<T> theClass)`
    `` | `static Realm` | `newRealm(String name, Realm parent)`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### <T> public MetaClass<T> getMetaClass(Class<T> theClass)

    - #### public static Realm newRealm(String name, Realm parent)

    - #### @Override public String toString()